changeset 4190:99ad9d0af1a3 kallithea-2.2.5-rebrand

Rename init scripts and fix references inside them
author Bradley M. Kuhn <bkuhn@sfconservancy.org>
date Wed, 02 Jul 2014 19:04:40 -0400
parents 9793473d74be
children 9171248beae5
files docs/upgrade.rst init.d/celeryd-upstart.conf init.d/kallithea-daemon-arch init.d/kallithea-daemon-debian init.d/kallithea-daemon-gentoo init.d/kallithea-daemon-redhat init.d/kallithea-upstart.conf init.d/rhodecode-daemon init.d/rhodecode-daemon2 init.d/rhodecode-daemon3 init.d/rhodecode-daemon4 init.d/rhodecode-upstart.conf init.d/supervisord.conf
diffstat 13 files changed, 395 insertions(+), 395 deletions(-) [+]
line wrap: on
line diff
--- a/docs/upgrade.rst	Wed Jul 02 19:04:39 2014 -0400
+++ b/docs/upgrade.rst	Wed Jul 02 19:04:40 2014 -0400
@@ -20,7 +20,7 @@
 If using a sqlite database, stop the Rhodecode process/daemon/service, and
 then make a copy of the database file::
 
- service rhodecode stop
+ service kallithea stop
  cp rhodecode.db rhodecode.db.{version}
 
 
@@ -90,7 +90,7 @@
 
 Once that is complete, you may now start your upgraded Rhodecode Instance::
 
- service rhodecode start
+ service kallithea start
 
 Or::
 
--- a/init.d/celeryd-upstart.conf	Wed Jul 02 19:04:39 2014 -0400
+++ b/init.d/celeryd-upstart.conf	Wed Jul 02 19:04:40 2014 -0400
@@ -1,19 +1,19 @@
-# celeryd - run the celeryd daemon as an upstart job for rhodecode
+# celeryd - run the celeryd daemon as an upstart job for kallithea
 # Change variables/paths as necessary and place file /etc/init/celeryd.conf
 # start/stop/restart as normal upstart job (ie: $ start celeryd)
 
 description	"Celery for RhodeCode Mercurial Server"
 author		"Matt Zuba <matt.zuba@goodwillaz.org"
 
-start on starting rhodecode
-stop on stopped rhodecode
+start on starting kallithea
+stop on stopped kallithea
 
 respawn
 
 umask 0022
 
 env PIDFILE=/tmp/celeryd.pid
-env APPINI=/var/hg/rhodecode/production.ini
+env APPINI=/var/hg/kallithea/production.ini
 env HOME=/var/hg
 env USER=hg
 # To use group (if different from user), you must edit sudoers file and change
@@ -21,7 +21,7 @@
 # env GROUP=hg
 
 script
-    COMMAND="/var/hg/.virtualenvs/rhodecode/bin/paster celeryd $APPINI --pidfile=$PIDFILE"
+    COMMAND="/var/hg/.virtualenvs/kallithea/bin/paster celeryd $APPINI --pidfile=$PIDFILE"
     if [ -z "$GROUP" ]; then
         exec sudo -u $USER $COMMAND
     else
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/kallithea-daemon-arch	Wed Jul 02 19:04:40 2014 -0400
@@ -0,0 +1,70 @@
+#!/bin/bash
+###########################################
+#### THIS IS AN ARCH LINUX RC.D SCRIPT ####
+###########################################
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+DAEMON=kallithea
+APP_HOMEDIR="/srv"
+APP_PATH="$APP_HOMEDIR/$DAEMON"
+CONF_NAME="production.ini"
+LOG_FILE="/var/log/$DAEMON.log"
+PID_FILE="/run/daemons/$DAEMON"
+APPL=/usr/bin/paster
+RUN_AS="*****"
+
+ARGS="serve --daemon \
+--user=$RUN_AS \
+--group=$RUN_AS \
+--pid-file=$PID_FILE \
+--log-file=$LOG_FILE \
+$APP_PATH/$CONF_NAME"
+
+[ -r /etc/conf.d/$DAEMON ] && . /etc/conf.d/$DAEMON
+
+if [[ -r $PID_FILE ]]; then
+    read -r PID < "$PID_FILE"
+    if [[ $PID && ! -d /proc/$PID ]]; then
+        unset PID
+        rm_daemon $DAEMON
+    fi
+fi
+
+case "$1" in
+start)
+    stat_busy "Starting $DAEMON"
+    export HOME=$APP_PATH
+    [ -z "$PID" ] && $APPL $ARGS &>/dev/null
+    if [ $? = 0 ]; then
+        add_daemon $DAEMON
+        stat_done
+    else
+        stat_fail
+        exit 1
+    fi
+    ;;
+stop)
+    stat_busy "Stopping $DAEMON"
+    [ -n "$PID" ] && kill $PID &>/dev/null 
+    if [ $? = 0 ]; then
+        rm_daemon $DAEMON
+        stat_done
+    else
+        stat_fail
+        exit 1
+    fi
+    ;;
+restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+status)
+    stat_busy "Checking $name status";
+    ck_status $name
+    ;;
+*)
+    echo "usage: $0 {start|stop|restart|status}"
+esac
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/kallithea-daemon-debian	Wed Jul 02 19:04:40 2014 -0400
@@ -0,0 +1,90 @@
+#!/bin/sh -e
+########################################
+#### THIS IS A DEBIAN INIT.D SCRIPT ####
+########################################
+ 
+### BEGIN INIT INFO
+# Provides:          kallithea          
+# Required-Start:    $all
+# Required-Stop:     $all
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: starts instance of kallithea
+# Description:       starts instance of kallithea using start-stop-daemon
+### END INIT INFO
+ 
+APP_NAME="kallithea"
+APP_HOMEDIR="opt"
+APP_PATH="/$APP_HOMEDIR/$APP_NAME"
+ 
+CONF_NAME="production.ini"
+ 
+PID_PATH="$APP_PATH/$APP_NAME.pid"
+LOG_PATH="$APP_PATH/$APP_NAME.log"
+ 
+PYTHON_PATH="/$APP_HOMEDIR/$APP_NAME-venv"
+ 
+RUN_AS="root"
+ 
+DAEMON="$PYTHON_PATH/bin/paster"
+ 
+DAEMON_OPTS="serve --daemon \
+ --user=$RUN_AS \
+ --group=$RUN_AS \
+ --pid-file=$PID_PATH \
+ --log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
+ 
+ 
+start() {
+  echo "Starting $APP_NAME"
+  PYTHON_EGG_CACHE="/tmp" start-stop-daemon -d $APP_PATH \
+      --start --quiet \
+      --pidfile $PID_PATH \
+      --user $RUN_AS \
+      --exec $DAEMON -- $DAEMON_OPTS
+}
+ 
+stop() {
+  echo "Stopping $APP_NAME"
+  start-stop-daemon -d $APP_PATH \
+      --stop --quiet \
+      --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+ 
+  if [ -f $PID_PATH ]; then
+    rm $PID_PATH
+  fi
+}
+ 
+status() {
+  echo -n "Checking status of $APP_NAME ... "
+  pid=`cat $PID_PATH`
+  status=`ps ax | grep $pid | grep -ve grep`
+  if [ "$?" -eq 0 ]; then
+    echo "running"
+  else
+    echo "NOT running"
+  fi
+}
+ 
+case "$1" in
+  status)
+   status
+    ;;
+  start)
+    start
+    ;;
+  stop)
+    stop
+    ;;
+  restart)
+    echo "Restarting $APP_NAME"
+    ### stop ###
+    stop
+    wait
+    ### start ###
+    start
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart}"
+    exit 1
+esac
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/kallithea-daemon-gentoo	Wed Jul 02 19:04:40 2014 -0400
@@ -0,0 +1,61 @@
+#!/sbin/runscript
+########################################
+#### THIS IS AN GENTOO INIT.D SCRIPT####
+########################################
+
+APP_NAME="kallithea"
+APP_HOMEDIR="username/python_workspace"
+APP_PATH="/home/$APP_HOMEDIR/$APP_NAME"
+
+CONF_NAME="production.ini"
+
+PID_PATH="$APP_PATH/$APP_NAME.pid"
+LOG_PATH="$APP_PATH/$APP_NAME.log"
+
+PYTHON_PATH="/home/$APP_HOMEDIR/v-env"
+
+RUN_AS="username"
+
+DAEMON="$PYTHON_PATH/bin/paster"
+
+DAEMON_OPTS="serve --daemon \
+--user=$RUN_AS \
+--group=$RUN_AS \
+--pid-file=$PID_PATH \
+--log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
+
+#extra options
+opts="${opts} restartdelay"
+
+depend() {
+    need nginx
+}
+
+start() {
+    ebegin "Starting $APP_NAME"
+    start-stop-daemon -d $APP_PATH -e PYTHON_EGG_CACHE="/tmp" \
+        --start --quiet \
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS
+    eend $?
+}
+
+stop() {
+    ebegin "Stopping $APP_NAME"
+    start-stop-daemon -d $APP_PATH \
+        --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    eend $?
+}
+
+restartdelay() {
+    #stop()
+    echo "sleep3"
+    sleep 3
+    
+    #start()
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/kallithea-daemon-redhat	Wed Jul 02 19:04:40 2014 -0400
@@ -0,0 +1,132 @@
+#!/bin/sh
+########################################
+#### THIS IS A REDHAT INIT.D SCRIPT ####
+########################################
+
+##################################################
+#
+# RhodeCode server startup script
+# Recommended default-startup: 2 3 4 5
+# Recommended default-stop: 0 1 6
+#
+##################################################
+
+
+APP_NAME="kallithea"
+# the location of your app
+# since this is a web app, it should go in /var/www
+APP_PATH="/var/www/$APP_NAME"
+
+CONF_NAME="production.ini"
+
+# write to wherever the PID should be stored, just ensure
+# that the user you run paster as has the appropriate permissions
+# same goes for the log file
+PID_PATH="/var/run/kallithea/pid"
+LOG_PATH="/var/log/kallithea/kallithea.log"
+
+# replace this with the path to the virtual environment you
+# made for RhodeCode
+PYTHON_PATH="/opt/python_virtualenvironments/kallithea-venv"
+
+RUN_AS="kallithea"
+
+DAEMON="$PYTHON_PATH/bin/paster"
+
+DAEMON_OPTS="serve --daemon \
+    --user=$RUN_AS \
+    --group=$RUN_AS \
+    --pid-file=$PID_PATH \
+    --log-file=$LOG_PATH $APP_PATH/$CONF_NAME"
+
+DESC="kallithea-server"
+LOCK_FILE="/var/lock/subsys/$APP_NAME"
+
+# source CentOS init functions
+. /etc/init.d/functions
+
+RETVAL=0
+
+remove_pid () {
+  rm -f ${PID_PATH}
+  rmdir `dirname ${PID_PATH}`
+}
+
+ensure_pid_dir () {
+  PID_DIR=`dirname ${PID_PATH}`
+  if [ ! -d ${PID_DIR} ] ; then
+    mkdir -p ${PID_DIR}
+    chown -R ${RUN_AS}:${RUN_AS} ${PID_DIR}
+    chmod 755 ${PID_DIR}
+  fi
+}
+
+start_kallithea () {
+    ensure_pid_dir
+    PYTHON_EGG_CACHE="/tmp" daemon --pidfile $PID_PATH \
+        --user $RUN_AS "$DAEMON $DAEMON_OPTS"
+    RETVAL=$?
+    [ $RETVAL -eq 0 ] && touch $LOCK_FILE
+    return $RETVAL
+}
+
+stop_kallithea () {
+    if [ -e $LOCK_FILE ]; then
+      killproc -p $PID_PATH
+      RETVAL=$?
+      rm -f $LOCK_FILE
+      rm -f $PID_PATH
+    else
+      RETVAL=1
+    fi
+    return $RETVAL
+}
+
+status_kallithea() {
+  if [ -e $LOCK_FILE ]; then
+    # exit with non-zero to indicate failure
+    RETVAL=1
+  else
+    RETVAL=0
+  fi
+  return $RETVAL
+}
+
+restart_kallithea () {
+    stop_kallithea
+    start_kallithea
+    RETVAL=$?
+}
+
+case "$1" in
+  start)
+    echo -n $"Starting $DESC: "
+    start_kallithea
+    echo
+    ;;
+  stop)
+    echo -n $"Stopping $DESC: "
+    stop_kallithea
+    echo
+    ;;
+  status)
+    status_kallithea
+    RETVAL=$?
+    if [ ! $RETVAL -eq 0 ]; then
+      echo "RhodeCode server is running..."
+    else
+      echo "RhodeCode server is stopped."
+    fi
+    ;;
+  restart)
+    echo -n $"Restarting $DESC: "
+    restart_kallithea
+    echo
+    ;;
+  *)
+    echo $"Usage: $0 {start|stop|restart|status}"
+    RETVAL=1
+    ;;
+esac
+
+exit $RETVAL
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/kallithea-upstart.conf	Wed Jul 02 19:04:40 2014 -0400
@@ -0,0 +1,26 @@
+# kallithea - run the kallithea daemon as an upstart job
+# Change variables/paths as necessary and place file /etc/init/kallithea.conf
+# start/stop/restart as normal upstart job (ie: $ start kallithea)
+
+description	"RhodeCode Mercurial Server"
+author		"Matt Zuba <matt.zuba@goodwillaz.org"
+
+start on (local-filesystems and runlevel [2345])
+stop on runlevel [!2345]
+
+respawn
+
+umask 0022
+
+env PIDFILE=/var/hg/kallithea/kallithea.pid
+env LOGFILE=/var/hg/kallithea/log/kallithea.log
+env APPINI=/var/hg/kallithea/production.ini
+env HOME=/var/hg
+env USER=hg
+env GROUP=hg
+
+exec /var/hg/.virtualenvs/kallithea/bin/paster serve --user=$USER --group=$GROUP --pid-file=$PIDFILE --log-file=$LOGFILE $APPINI
+
+post-stop script
+	rm -f $PIDFILE
+end script
--- a/init.d/rhodecode-daemon	Wed Jul 02 19:04:39 2014 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,61 +0,0 @@
-#!/sbin/runscript
-########################################
-#### THIS IS AN GENTOO INIT.D SCRIPT####
-########################################
-
-APP_NAME="rhodecode"
-APP_HOMEDIR="marcink/python_workspace"
-APP_PATH="/home/$APP_HOMEDIR/$APP_NAME"
-
-CONF_NAME="production.ini"
-
-PID_PATH="$APP_PATH/$APP_NAME.pid"
-LOG_PATH="$APP_PATH/$APP_NAME.log"
-
-PYTHON_PATH="/home/$APP_HOMEDIR/v-env"
-
-RUN_AS="marcink"
-
-DAEMON="$PYTHON_PATH/bin/paster"
-
-DAEMON_OPTS="serve --daemon \
---user=$RUN_AS \
---group=$RUN_AS \
---pid-file=$PID_PATH \
---log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
-
-#extra options
-opts="${opts} restartdelay"
-
-depend() {
-    need nginx
-}
-
-start() {
-    ebegin "Starting $APP_NAME"
-    start-stop-daemon -d $APP_PATH -e PYTHON_EGG_CACHE="/tmp" \
-        --start --quiet \
-        --pidfile $PID_PATH \
-        --user $RUN_AS \
-        --exec $DAEMON -- $DAEMON_OPTS
-    eend $?
-}
-
-stop() {
-    ebegin "Stopping $APP_NAME"
-    start-stop-daemon -d $APP_PATH \
-        --stop --quiet \
-        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
-    if [ -f $PID_PATH ]; then
-        rm $PID_PATH
-    fi
-    eend $?
-}
-
-restartdelay() {
-    #stop()
-    echo "sleep3"
-    sleep 3
-    
-    #start()
-}
--- a/init.d/rhodecode-daemon2	Wed Jul 02 19:04:39 2014 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,90 +0,0 @@
-#!/bin/sh -e
-########################################
-#### THIS IS A DEBIAN INIT.D SCRIPT ####
-########################################
- 
-### BEGIN INIT INFO
-# Provides:          rhodecode          
-# Required-Start:    $all
-# Required-Stop:     $all
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: starts instance of rhodecode
-# Description:       starts instance of rhodecode using start-stop-daemon
-### END INIT INFO
- 
-APP_NAME="rhodecode"
-APP_HOMEDIR="opt"
-APP_PATH="/$APP_HOMEDIR/$APP_NAME"
- 
-CONF_NAME="production.ini"
- 
-PID_PATH="$APP_PATH/$APP_NAME.pid"
-LOG_PATH="$APP_PATH/$APP_NAME.log"
- 
-PYTHON_PATH="/$APP_HOMEDIR/$APP_NAME-venv"
- 
-RUN_AS="root"
- 
-DAEMON="$PYTHON_PATH/bin/paster"
- 
-DAEMON_OPTS="serve --daemon \
- --user=$RUN_AS \
- --group=$RUN_AS \
- --pid-file=$PID_PATH \
- --log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
- 
- 
-start() {
-  echo "Starting $APP_NAME"
-  PYTHON_EGG_CACHE="/tmp" start-stop-daemon -d $APP_PATH \
-      --start --quiet \
-      --pidfile $PID_PATH \
-      --user $RUN_AS \
-      --exec $DAEMON -- $DAEMON_OPTS
-}
- 
-stop() {
-  echo "Stopping $APP_NAME"
-  start-stop-daemon -d $APP_PATH \
-      --stop --quiet \
-      --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
- 
-  if [ -f $PID_PATH ]; then
-    rm $PID_PATH
-  fi
-}
- 
-status() {
-  echo -n "Checking status of $APP_NAME ... "
-  pid=`cat $PID_PATH`
-  status=`ps ax | grep $pid | grep -ve grep`
-  if [ "$?" -eq 0 ]; then
-    echo "running"
-  else
-    echo "NOT running"
-  fi
-}
- 
-case "$1" in
-  status)
-   status
-    ;;
-  start)
-    start
-    ;;
-  stop)
-    stop
-    ;;
-  restart)
-    echo "Restarting $APP_NAME"
-    ### stop ###
-    stop
-    wait
-    ### start ###
-    start
-    ;;
-  *)
-    echo "Usage: $0 {start|stop|restart}"
-    exit 1
-esac
\ No newline at end of file
--- a/init.d/rhodecode-daemon3	Wed Jul 02 19:04:39 2014 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,132 +0,0 @@
-#!/bin/sh
-########################################
-#### THIS IS A REDHAT INIT.D SCRIPT ####
-########################################
-
-##################################################
-#
-# RhodeCode server startup script
-# Recommended default-startup: 2 3 4 5
-# Recommended default-stop: 0 1 6
-#
-##################################################
-
-
-APP_NAME="rhodecode"
-# the location of your app
-# since this is a web app, it should go in /var/www
-APP_PATH="/var/www/$APP_NAME"
-
-CONF_NAME="production.ini"
-
-# write to wherever the PID should be stored, just ensure
-# that the user you run paster as has the appropriate permissions
-# same goes for the log file
-PID_PATH="/var/run/rhodecode/pid"
-LOG_PATH="/var/log/rhodecode/rhodecode.log"
-
-# replace this with the path to the virtual environment you
-# made for RhodeCode
-PYTHON_PATH="/opt/python_virtualenvironments/rhodecode-venv"
-
-RUN_AS="rhodecode"
-
-DAEMON="$PYTHON_PATH/bin/paster"
-
-DAEMON_OPTS="serve --daemon \
-    --user=$RUN_AS \
-    --group=$RUN_AS \
-    --pid-file=$PID_PATH \
-    --log-file=$LOG_PATH $APP_PATH/$CONF_NAME"
-
-DESC="rhodecode-server"
-LOCK_FILE="/var/lock/subsys/$APP_NAME"
-
-# source CentOS init functions
-. /etc/init.d/functions
-
-RETVAL=0
-
-remove_pid () {
-  rm -f ${PID_PATH}
-  rmdir `dirname ${PID_PATH}`
-}
-
-ensure_pid_dir () {
-  PID_DIR=`dirname ${PID_PATH}`
-  if [ ! -d ${PID_DIR} ] ; then
-    mkdir -p ${PID_DIR}
-    chown -R ${RUN_AS}:${RUN_AS} ${PID_DIR}
-    chmod 755 ${PID_DIR}
-  fi
-}
-
-start_rhodecode () {
-    ensure_pid_dir
-    PYTHON_EGG_CACHE="/tmp" daemon --pidfile $PID_PATH \
-        --user $RUN_AS "$DAEMON $DAEMON_OPTS"
-    RETVAL=$?
-    [ $RETVAL -eq 0 ] && touch $LOCK_FILE
-    return $RETVAL
-}
-
-stop_rhodecode () {
-    if [ -e $LOCK_FILE ]; then
-      killproc -p $PID_PATH
-      RETVAL=$?
-      rm -f $LOCK_FILE
-      rm -f $PID_PATH
-    else
-      RETVAL=1
-    fi
-    return $RETVAL
-}
-
-status_rhodecode() {
-  if [ -e $LOCK_FILE ]; then
-    # exit with non-zero to indicate failure
-    RETVAL=1
-  else
-    RETVAL=0
-  fi
-  return $RETVAL
-}
-
-restart_rhodecode () {
-    stop_rhodecode
-    start_rhodecode
-    RETVAL=$?
-}
-
-case "$1" in
-  start)
-    echo -n $"Starting $DESC: "
-    start_rhodecode
-    echo
-    ;;
-  stop)
-    echo -n $"Stopping $DESC: "
-    stop_rhodecode
-    echo
-    ;;
-  status)
-    status_rhodecode
-    RETVAL=$?
-    if [ ! $RETVAL -eq 0 ]; then
-      echo "RhodeCode server is running..."
-    else
-      echo "RhodeCode server is stopped."
-    fi
-    ;;
-  restart)
-    echo -n $"Restarting $DESC: "
-    restart_rhodecode
-    echo
-    ;;
-  *)
-    echo $"Usage: $0 {start|stop|restart|status}"
-    RETVAL=1
-    ;;
-esac
-
-exit $RETVAL
\ No newline at end of file
--- a/init.d/rhodecode-daemon4	Wed Jul 02 19:04:39 2014 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,70 +0,0 @@
-#!/bin/bash
-###########################################
-#### THIS IS AN ARCH LINUX RC.D SCRIPT ####
-###########################################
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON=rhodecode
-APP_HOMEDIR="/srv"
-APP_PATH="$APP_HOMEDIR/$DAEMON"
-CONF_NAME="production.ini"
-LOG_FILE="/var/log/$DAEMON.log"
-PID_FILE="/run/daemons/$DAEMON"
-APPL=/usr/bin/paster
-RUN_AS="*****"
-
-ARGS="serve --daemon \
---user=$RUN_AS \
---group=$RUN_AS \
---pid-file=$PID_FILE \
---log-file=$LOG_FILE \
-$APP_PATH/$CONF_NAME"
-
-[ -r /etc/conf.d/$DAEMON ] && . /etc/conf.d/$DAEMON
-
-if [[ -r $PID_FILE ]]; then
-    read -r PID < "$PID_FILE"
-    if [[ $PID && ! -d /proc/$PID ]]; then
-        unset PID
-        rm_daemon $DAEMON
-    fi
-fi
-
-case "$1" in
-start)
-    stat_busy "Starting $DAEMON"
-    export HOME=$APP_PATH
-    [ -z "$PID" ] && $APPL $ARGS &>/dev/null
-    if [ $? = 0 ]; then
-        add_daemon $DAEMON
-        stat_done
-    else
-        stat_fail
-        exit 1
-    fi
-    ;;
-stop)
-    stat_busy "Stopping $DAEMON"
-    [ -n "$PID" ] && kill $PID &>/dev/null 
-    if [ $? = 0 ]; then
-        rm_daemon $DAEMON
-        stat_done
-    else
-        stat_fail
-        exit 1
-    fi
-    ;;
-restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-status)
-    stat_busy "Checking $name status";
-    ck_status $name
-    ;;
-*)
-    echo "usage: $0 {start|stop|restart|status}"
-esac
\ No newline at end of file
--- a/init.d/rhodecode-upstart.conf	Wed Jul 02 19:04:39 2014 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,26 +0,0 @@
-# rhodecode - run the rhodecode daemon as an upstart job
-# Change variables/paths as necessary and place file /etc/init/rhodecode.conf
-# start/stop/restart as normal upstart job (ie: $ start rhodecode)
-
-description	"RhodeCode Mercurial Server"
-author		"Matt Zuba <matt.zuba@goodwillaz.org"
-
-start on (local-filesystems and runlevel [2345])
-stop on runlevel [!2345]
-
-respawn
-
-umask 0022
-
-env PIDFILE=/var/hg/rhodecode/rhodecode.pid
-env LOGFILE=/var/hg/rhodecode/log/rhodecode.log
-env APPINI=/var/hg/rhodecode/production.ini
-env HOME=/var/hg
-env USER=hg
-env GROUP=hg
-
-exec /var/hg/.virtualenvs/rhodecode/bin/paster serve --user=$USER --group=$GROUP --pid-file=$PIDFILE --log-file=$LOGFILE $APPINI
-
-post-stop script
-	rm -f $PIDFILE
-end script
--- a/init.d/supervisord.conf	Wed Jul 02 19:04:39 2014 -0400
+++ b/init.d/supervisord.conf	Wed Jul 02 19:04:40 2014 -0400
@@ -9,21 +9,21 @@
 ;password=123               ; (default is no password (open server))
 
 [supervisord]
-logfile=/%(here)s/supervisord_rhodecode.log ; (main log file;default $CWD/supervisord.log)
+logfile=/%(here)s/supervisord_kallithea.log ; (main log file;default $CWD/supervisord.log)
 logfile_maxbytes=50MB        ; (max main logfile bytes b4 rotation;default 50MB)
 logfile_backups=10           ; (num of main logfile rotation backups;default 10)
 loglevel=info                ; (log level;default info; others: debug,warn,trace)
-pidfile=/%(here)s/supervisord_rhodecode.pid ; (supervisord pidfile;default supervisord.pid)
+pidfile=/%(here)s/supervisord_kallithea.pid ; (supervisord pidfile;default supervisord.pid)
 nodaemon=true               ; (start in foreground if true;default false)
 minfds=1024                  ; (min. avail startup file descriptors;default 1024)
 minprocs=200                 ; (min. avail process descriptors;default 200)
 umask=022                    ; (process file creation umask;default 022)
-user=marcink                  ; (default is current user, required if root)
+user=username                  ; (default is current user, required if root)
 ;identifier=supervisor       ; (supervisord identifier, default is 'supervisor')
 ;directory=/tmp              ; (default is not to cd during start)
 ;nocleanup=true              ; (don't clean up tempfiles at start;default false)
 ;childlogdir=/tmp            ; ('AUTO' child log dir, default $TEMP)
-environment=HOME=/home/marcink       ; (key value pairs to add to environment)
+environment=HOME=/home/username       ; (key value pairs to add to environment)
 ;strip_ansi=false            ; (strip ansi escape codes in logs; def. false)
 
 ; the below section must remain in the config file for RPC
@@ -40,12 +40,12 @@
 ;history_file=~/.sc_history  ; use readline history if available
 
 
-; restart with supervisorctl restart rhodecode:*
-[program:rhodecode]
+; restart with supervisorctl restart kallithea:*
+[program:kallithea]
 numprocs = 1
 numprocs_start = 5000 # possible should match ports
-directory=/home/marcink/rhodecode-dir
-command = /home/marcink/v-env/bin/paster serve rc.ini
+directory=/home/username/kallithea-dir
+command = /home/username/v-env/bin/paster serve rc.ini
 process_name = %(program_name)s_%(process_num)04d
 redirect_stderr=true 
-stdout_logfile=/%(here)s/rhodecode.log 
\ No newline at end of file
+stdout_logfile=/%(here)s/kallithea.log 
\ No newline at end of file